#include "kglobalsettings.h"
#include "kconfig.h"
#include "kglobal.h"
#include "kconfigbase.h"

#include <qapplication.h>

QFont KGlobalSettings::generalFont()
{
   int size = 12;
    if (QApplication::desktop()->width() < 480 )
        size = 10;   
    return QFont("helvetica",size);
}
QFont KGlobalSettings::toolBarFont()
{
  return QFont("helevetica",12);
}

QColor KGlobalSettings::toolBarHighlightColor()
{
  return QColor("black");
}

QRect KGlobalSettings::desktopGeometry( QWidget * )
{
  return QApplication::desktop()->rect();
}

    /**
     * Returns whether KDE runs in single (default) or double click
     * mode.
     * see http://developer.kde.org/documentation/standards/kde/style/mouse/index.html
     * @return true if single click mode, or false if double click mode.
     **/
bool KGlobalSettings::singleClick()
{
    KConfig *c = KGlobal::config();
    KConfigGroupSaver cgs( c, "KDE" );
    return c->readBoolEntry("SingleClick", KDE_DEFAULT_SINGLECLICK);
}
